com.verisign.epp.codec.nv

## Enum EPPNameVerificationInfoCmd.Type

- java.lang.Object
- - java.lang.Enum<EPPNameVerificationInfoCmd.Type>
  - - com.verisign.epp.codec.nv.EPPNameVerificationInfoCmd.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPPNameVerificationInfoCmd.Type>
  Enclosing class:
    EPPNameVerificationInfoCmd

      public static enum EPPNameVerificationInfoCmd.Type
      extends java.lang.Enum<EPPNameVerificationInfoCmd.Type>

  Information type with one of the following values:
  - `INPUT` - Get the input parameters provided in executing the verification associated with the code.
  - `SIGNED_CODE` - Get the signed code associated with the code.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INPUT`
    `SIGNED_CODE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPNameVerificationInfoCmd.Type` | `getType(java.lang.String aType)` Get the type enumerated value given the matching string.
    `java.lang.String` | `toString()` Convert the enumerated `Type` value to a `String`.
    `static EPPNameVerificationInfoCmd.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPNameVerificationInfoCmd.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INPUT

          public static final EPPNameVerificationInfoCmd.Type INPUT

    - #### SIGNED_CODE

          public static final EPPNameVerificationInfoCmd.Type SIGNED_CODE

  - ### Method Detail

    - #### values

          public static EPPNameVerificationInfoCmd.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPNameVerificationInfoCmd.Type c : EPPNameVerificationInfoCmd.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPNameVerificationInfoCmd.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public static EPPNameVerificationInfoCmd.Type getType(java.lang.String aType)

      Get the type enumerated value given the matching string.
      Parameters:
        `aType` - `Type` enumerated string to convert to an enumerated `Type` instance.
      Returns:
        Enumerated `Type` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `Type` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `Type` value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<EPPNameVerificationInfoCmd.Type>`

Copyright © VeriSign Inc. All Rights Reserved.